Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 803530 - dev-ruby/pkg-config-1.4.6 fails tests: - Failure: test_cflags(PkgConfigTest)
Summary: dev-ruby/pkg-config-1.4.6 fails tests: - Failure: test_cflags(PkgConfigTest)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Naohiro Aota
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2021-07-23 14:04 UTC by Toralf Förster
Modified: 2022-05-28 06:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.62 KB, text/plain)
2021-07-23 14:04 UTC, Toralf Förster
Details
dev-ruby:pkg-config-1.4.6:20210723-134746.log (dev-ruby:pkg-config-1.4.6:20210723-134746.log,6.02 KB, text/plain)
2021-07-23 14:04 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,90.37 KB, text/plain)
2021-07-23 14:04 UTC, Toralf Förster
Details
environment (environment,81.17 KB, text/plain)
2021-07-23 14:04 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,15.48 KB, application/x-bzip)
2021-07-23 14:04 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-07-23 14:04:33 UTC
F
===============================================================================
Failure: test_cflags(PkgConfigTest)
/var/tmp/portage/dev-ruby/pkg-config-1.4.6/work/ruby26/pkg-config-1.4.6/test/test-pkg-config.rb:184:in `assert_pkg_config'
/var/tmp/portage/dev-ruby/pkg-config-1.4.6/work/ruby26/pkg-config-1.4.6/test/test-pkg-config.rb:28:in `test_cflags'
     25:   end
     26: 

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-j3_test-20210722-112048

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.53.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  HEAD of ::gentoo
commit 81b1bbc8906a156060e4ab2924c42b98215e8784
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Jul 23 13:22:15 2021 +0000

    2021-07-23 13:22:14 UTC

emerge -qpvO dev-ruby/pkg-config
[ebuild  N    ] dev-ruby/pkg-config-1.4.6  USE="test -doc" RUBY_TARGETS="ruby26 ruby30 (-ruby25) -ruby27"
Comment 1 Toralf Förster gentoo-dev 2021-07-23 14:04:35 UTC
Created attachment 726106 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-07-23 14:04:36 UTC
Created attachment 726109 [details]
dev-ruby:pkg-config-1.4.6:20210723-134746.log
Comment 3 Toralf Förster gentoo-dev 2021-07-23 14:04:38 UTC
Created attachment 726112 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-07-23 14:04:39 UTC
Created attachment 726115 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-07-23 14:04:41 UTC
Created attachment 726118 [details]
etc.portage.tar.bz2
Comment 6 Agostino Sarubbo gentoo-dev 2022-02-13 10:05:45 UTC
Update summary. [something] is used when something refers to an overlay
Comment 7 Hans de Graaff gentoo-dev 2022-05-28 06:06:34 UTC
Fixed in 1.4.7.